Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 2061427

Summary: SELinux is preventing ecblp from 'open' accesses on the fifo_file /run/ecblp0.
Product: [Fedora] Fedora Reporter: kev
Component: selinux-policyAssignee: Zdenek Pytela <zpytela>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 35CC: dwalsh, grepl.miroslav, lvrabec, mmalik, omosnace, pkoncity, vmojzis, zpytela
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:c8dc4b6f286110deae83b559d31eff8c52a10e44f23ff1142575f7a1d68ce72a;VARIANT_ID=workstation;
Fixed In Version: selinux-policy-35.16-1.fc35 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-04-10 19:52:30 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description kev 2022-03-07 14:39:02 UTC
Description of problem:
using epson printer
SELinux is preventing ecblp from 'open' accesses on the fifo_file /run/ecblp0.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that ecblp should be allowed open access on the ecblp0 fifo_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'ecblp' --raw | audit2allow -M my-ecblp
# semodule -X 300 -i my-ecblp.pp

Additional Information:
Source Context                system_u:system_r:cupsd_t:s0-s0:c0.c1023
Target Context                system_u:object_r:var_run_t:s0
Target Objects                /run/ecblp0 [ fifo_file ]
Source                        ecblp
Source Path                   ecblp
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
SELinux Policy RPM            selinux-policy-targeted-35.15-1.fc35.noarch
Local Policy RPM              selinux-policy-targeted-35.15-1.fc35.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 5.16.12-200.fc35.x86_64 #1 SMP
                              PREEMPT Wed Mar 2 19:06:17 UTC 2022 x86_64 x86_64
Alert Count                   9
First Seen                    2022-03-07 14:22:05 GMT
Last Seen                     2022-03-07 14:25:05 GMT
Local ID                      cf55ca76-c166-41c1-8a26-8970efe4ff38

Raw Audit Messages
type=AVC msg=audit(1646663105.488:367): avc:  denied  { open } for  pid=7963 comm="ecblp" path="/run/ecblp0" dev="tmpfs" ino=1898 scontext=system_u:system_r:cupsd_t:s0-s0:c0.c1023 tcontext=system_u:object_r:var_run_t:s0 tclass=fifo_file permissive=0


Hash: ecblp,cupsd_t,var_run_t,fifo_file,open

Version-Release number of selected component:
selinux-policy-targeted-35.15-1.fc35.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.15.2
hashmarkername: setroubleshoot
kernel:         5.16.12-200.fc35.x86_64
type:           libreport

Potential duplicate: bug 1357908

Comment 1 Zdenek Pytela 2022-03-14 13:18:13 UTC
Hi,

Do you happen to know which service created the /run/ecblp0 file?

Comment 2 Fedora Update System 2022-04-06 15:24:46 UTC
FEDORA-2022-9681e66715 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-9681e66715

Comment 3 Fedora Update System 2022-04-06 19:48:47 UTC
FEDORA-2022-9681e66715 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-9681e66715`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-9681e66715

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2022-04-10 19:52:30 UTC
FEDORA-2022-9681e66715 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 5 Red Hat Bugzilla 2023-09-15 01:22:38 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 500 days